For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
API Reference
  • API Reference
    • GETRule - List
    • GETRule - Get
    • GETRule Instance - List
    • POSTRule Instance - Create
    • POSTRule Instance - Update
    • DELRule Instance - Delete
    • GETRule Filters Schema - Get
    • GETCase - List
    • POSTCase - Create
    • GETCase - Get
    • PATCHCase - Update
    • POSTCase - Update Status
    • GETRetrieve Case Comments
    • POSTCreate a Case Comment
    • GETRetrieve a Case Comment
    • DELDelete a Case Comment
    • POSTAlert - Create
    • GETAlert - Get
    • PATCHAlert - Update
    • GETRetrieve Alert Hits
    • GETRetrieve hit evidence url
    • POSTUpdate Alert Hits Status
    • GETRetrieve Alert Comments
    • POSTCreate an Alert Comment
    • GETRetrieve an Alert Comment
    • DELDelete an Alert Comment
    • POSTAlert - Update Status
    • POSTGet a pre-signed URL
    • GETRetrieve User Comments
    • POSTCreate a User Comment
    • GETRetrieve a User Comment
    • DELDelete a User Comment
    • GETUsers - Search
    • GETGet all lists
    • POSTCreate or update a list
    • GETGet a list by id
    • GETGet all failed webhook deliveries
    • POSTLink a CRM record to a user
    • GETGet alert IDs by transaction ID
LogoLogo
Log inTalk to sales
API Reference

Alert - Create

POST
/alerts
POST
/management/alerts
$curl -X POST https://sandbox.api.flagright.com/management/alerts \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "alertId": "string",
> "createdTimestamp": 2700000000000,
> "caseId": "string",
> "priority": "P1",
> "ruleDetails": {
> "id": "string",
> "name": "string",
> "action": "ALLOW",
> "description": "string",
> "instanceId": "string"
> }
>}'
1{
2 "alertId": "string",
3 "createdTimestamp": 1713177955000,
4 "caseId": "string",
5 "priority": "P1",
6 "ruleDetails": {
7 "id": "string",
8 "name": "string",
9 "action": "ALLOW",
10 "description": "string",
11 "instanceId": "string"
12 },
13 "alertStatus": "OPEN",
14 "updatedAt": 1713177955000,
15 "tags": [
16 {
17 "key": "string",
18 "value": "string",
19 "$ref": "#/components/schemas/Tag"
20 }
21 ],
22 "creationReason": {
23 "reasons": [
24 "string"
25 ],
26 "comment": "string",
27 "timestamp": 1713177955000
28 },
29 "entityDetails": {
30 "type": "TRANSACTION",
31 "transactionIds": [
32 "string"
33 ]
34 },
35 "assignments": [
36 {
37 "assigneeEmail": "string",
38 "$ref": "#/components/schemas/Assignment"
39 }
40 ]
41}
Was this page helpful?
Previous

Alert - Get

Next
Built with

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Request

This endpoint expects an object.
alertIdstringRequired
createdTimestampdoubleRequired1262300400000-4133890801000
caseIdstringRequired
priorityenumRequired
Allowed values:
ruleDetailsobjectRequired
tagslist of objectsOptional
creationReasonobjectOptional
entityDetailsobjectOptional
assignmentslist of objectsOptional

Response

OK
alertIdstring
createdTimestampdouble1262300400000-4133890801000
caseIdstring
priorityenum
Allowed values:
ruleDetailsobject
alertStatusstring
updatedAtdouble
tagslist of objects
creationReasonobject
entityDetailsobject
assignmentslist of objects
customAlertStatusNamestring or null

Errors

400
Bad Request Error